package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description: 快手-修改广告计划记录表
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_campaign_day_budget")
public class KuaiShouCampaignDayBudget {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 计划ID
     */
    private Long campaignId;
    /**
     * 修改前预算
     */
    private Long dayBudget;
    /**
     * 修改后预算
     */
    private Long updateDayBudget;
    /**
     * 操作人id
     */
    private String userId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
