package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 快手-日流水信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-05
 */
@Data
@TableName("ctop_kuaishou_daily_flows")
public class KuaiShouDailyFlows {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 账户ID
     */
    private String date;
    /**
     * 总花费(元)
     */
    private java.math.BigDecimal dailyCharge;
    /**
     * 充值话费(元)
     */
    private java.math.BigDecimal realCharged;
    /**
     * 框返花费(元)
     */
    private java.math.BigDecimal contractRebateRealCharged;
    /**
     * 激励花费(元)
     */
    private java.math.BigDecimal directRebateRealCharged;
    /**
     * 转入(元)
     */
    private java.math.BigDecimal dailyTransferIn;
    /**
     * 转出(元)
     */
    private java.math.BigDecimal dailyTransferOut;
    /**
     * 日终结余(元)
     */
    private java.math.BigDecimal balance;
    /**
     * 充值转入(元)
     */
    private java.math.BigDecimal realRecharged;
    /**
     * 框返转入(元)
     */
    private java.math.BigDecimal contractRebateRealRecharged;
    /**
     * 激励转入(元)
     */
    private java.math.BigDecimal directRebateRealRecharged;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
