package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description: 快手-获取图片接口
 * @Author: jeecg-boot
 * @Date: 2019-07-25
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_image_get")
public class KuaiShouImageGet {
    /**
     * id
     */
    @TableId
    private String id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 视频预览链接
     */
    private Object url;
    /**
     * 宽
     */
    private Integer width;
    /**
     * 高
     */
    private Integer height;
    /**
     * 图片大小
     */
    private Integer size;
    /**
     * 图片格式
     */
    private String format;
    private Integer materialType;

    /**
     * 图片 token
     */
    private String imageToken;
    /**
     * 图片 md5
     */
    private String signature;
    private Date statDate;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
