package com.xxl.job.executor.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("ctop_kuaishou_report_daily_creative")
public class KuaishouReportDailyCreative implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(type = IdType.AUTO)
    private Long id;
    private Long accountId;
    private Long unitId;
    private String unitName;
    private Long campaignId;
    private String campaignName;
    private Long creativeId;
    private String creativeName;
    private Integer status;
    private BigDecimal charge;
    private Long photoShow;
    private Long aclick;
    private Long bclick;
    private Long photoShare;
    private Long photoComment;
    private Long photoLike;
    private Long follow;
    private Long cancelFollow;
    private Long report;
    private Long block;
    private Long negative;
    private Long downloadStarted;
    private Long downloadCompleted;
    private Long activation;
    private Long submit;
    private String statDate;
    private Long photoClick;
    private BigDecimal photoClickRatio;
    private BigDecimal actionRatio;
    @TableField("impression_1k_cost")
    private BigDecimal impression1kCost;
    private BigDecimal photoClickCost;
    private BigDecimal actionCost;
    private Long eventPayFirstDay;
    private BigDecimal eventPayPurchaseAmountFirstDay;
    private BigDecimal eventPayFirstDayRoi;
    private BigDecimal eventPay;
    private BigDecimal eventPayPurchaseAmount;
    private BigDecimal eventPayRoi;
    private Long eventRegister;
    private BigDecimal eventRegisterCost;
    private BigDecimal eventRegisterRatio;
    private Long eventJinJianApp;
    private BigDecimal eventJinJianAppCost;
    private Long eventCreditGrantApp;
    private BigDecimal eventCreditGrantAppCost;
    private BigDecimal eventCreditGrantAppRatio;
    private BigDecimal eventOrderPaid;
    private BigDecimal eventOrderPaidPurchaseAmount;
    private Long eventJinJianLandingPage;
    private BigDecimal eventJinJianLandingPageCost;
    private Long eventCreditGrantLandingPage;
    private BigDecimal eventCreditGrantLandingPageCost;
    private BigDecimal eventCreditGrantLandingRatio;
    private BigDecimal eventNextDayStayCost;
    private BigDecimal eventNextDayStayRatio;
    private BigDecimal formActionRatio;
    private BigDecimal eventOrderPaidCost;
    private Long eventNextDayStay;
    private BigDecimal formCost;
    private Long formCount;
    @TableField(value = "play_3s_ratio")
    private BigDecimal play3sRatio;
    private String signature;
    private Date createTime;
    private Date updateTime;
}
