package com.xxl.job.executor.report.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("ctop_kuaishou_report_hourly_account")
public class KuaishouReportHourlyAccount implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId
    private String id;
    private Long accountId;
    private String statDate;
    private Integer statHour;
    private BigDecimal charge;
    private Long photoShow;
    private Long photoClick;
    private Long photoShare;
    private Long photoLike;
    private Long aclick;
    private Long bclick;
    private Long comment;
    private Long follow;
    private Long cancelFollow;
    private Long report;
    private Long block;
    private Long negative;
    private Long downloadStarted;
    private Long downloadCompleted;
    private Long activation;
    private Long submit;
    private BigDecimal photoClickRatio;
    private BigDecimal actionRatio;
    @TableField("impression_1k_cost")
    private BigDecimal impression1kCost;
    private BigDecimal photoClickCost;
    private BigDecimal actionCost;
    private Long eventPayFirstDay;
    private BigDecimal eventPayFirstDayRoi;
    private BigDecimal eventPay;
    private BigDecimal eventPayPurchaseAmount;
    private BigDecimal eventPayRoi;
    private Long eventRegister;
    private BigDecimal eventRegisterCost;
    private Long eventJinJianApp;
    private BigDecimal eventJinJianAppCost;
    private BigDecimal eventPayPurchaseAmountFirstDay;
    private Long eventCreditGrantApp;
    private BigDecimal eventCreditGrantAppCost;
    private BigDecimal eventCreditGrantAppRatio;
    private BigDecimal eventOrderPaid;
    private BigDecimal eventOrderPaidPurchaseAmount;
    private BigDecimal eventOrderPaidCost;
    private Long formCount;
    private BigDecimal formCost;
    private BigDecimal formActionRatio;
    private Long eventJinJianLandingPage;
    private BigDecimal eventJinJianLandingPageCost;
    private Long eventCreditGrantLandingPage;
    private BigDecimal eventCreditGrantLandingPageCost;
    private BigDecimal eventNextDayStay;
    private Date createTime;
    private Date updateTime;
}
