package com.xxl.job.executor.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.report.entity.KuaishouReportHourlyAccount;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface KuaishouReportHourlyAccountMapper extends BaseMapper<KuaishouReportHourlyAccount> {
    Integer selectMaxHour(@Param("accountId") Long accountId, @Param("statDate") String statDate);

    BigDecimal getCost(@Param("accountId") Long accountId, @Param("statHour") Integer statHour, @Param("statDate") String statDate);

    void replaceBatch(@Param("records")List<KuaishouReportHourlyAccount> accounts);
}
