package com.xxl.job.executor.report.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxl.job.executor.report.entity.KuaishouReportDailyCreative;
import com.xxl.job.executor.report.mapper.KuaishouReportDailyCreativeMapper;
import com.xxl.job.executor.report.service.IKuaishouReportDailyCreativeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class KuaishouReportDailyCreativeServiceImpl extends ServiceImpl<KuaishouReportDailyCreativeMapper, KuaishouReportDailyCreative> implements IKuaishouReportDailyCreativeService {
    @Autowired
    private KuaishouReportDailyCreativeMapper kuaishouReportDailyCreativeMapper;
    @Override
    public List<String> getSignature() {
        return kuaishouReportDailyCreativeMapper.getSignatureList();
    }

    @Override
    public void replaceBatch(List<KuaishouReportDailyCreative> creatives) {
        kuaishouReportDailyCreativeMapper.replaceBatch(creatives);
    }

}
