package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description: 快手-获取广告计划信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_campaign")
public class KuaiShouCampaign {

    /**
     * id
     */
    @TableId
    private String id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 计划ID
     */
    private Long campaignId;
    /**
     * 计划名称
     */
    private String campaignName;
    /**
     * 状态
     */
    private Integer status;


    /**
     * 广告计划类型
     */
    private Integer campaignType;

    /**
     * 创建渠道
     */
    private Integer createChannel;

    /**
     * 投放状态
     */
    private Integer putStatus;
    /**
     * 每日预算
     */
    private Long dayBudget;
    private String dayBudgetSchedule;
    private String putCreateTime;
    private String putUpdateTime;
    private Date createTime;
    private Date updateTime;
}
