package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description: 快手-获取视频接口
 * @Author: jeecg-boot
 * @Date: 2019-07-25
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_video_get")
public class KuaiShouVideoGet {

    @TableId
    private String id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 视频id
     */
    private String photoId;
    private Integer width;
    private Integer height;
    /**
     * 视频预览链接
     */
    private String url;
    /**
     * 视频首帧图片链接
     */
    private String coverUrl;
    /**
     * 视频首帧图片链接
     */
    private String signature;
    private Date statDate;
    private Integer materialType;
    private String materialId;
    private Date createTime;
    private Date updateTime;
    private Integer channelType;
    private Integer status;
    private Long userId;
}
