package com.xxl.job.executor.batch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.batch.entity.KuaiShouCampaign;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 快手-获取广告计划信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
public interface KuaiShouCampaignMapper extends BaseMapper<KuaiShouCampaign> {

    void replaceBatch(@Param(value = "campaigns") List<KuaiShouCampaign> campaigns);

    List<Long> queryIdsByPutStatus(Long accountId, String putStatus);
}
