package com.xxl.job.executor.batch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.batch.entity.vo.KuaiShouReportDailyMaterialVo;
import com.xxl.job.executor.batch.entity.vo.KuaiShouVideoGetVo;
import com.xxl.job.executor.batch.entity.vo.VideoGetvo;
import com.xxl.job.executor.report.entity.KuaiShouReportDailyMaterial;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 素材
 *
 * @author: jeecg-boot
 * @date: 2020-09-09
 * @cersion: V1.0
 */
public interface KuaiShouReportDailyMaterialMapper extends BaseMapper<KuaiShouReportDailyMaterial> {
    void loadMaterialDailyReport(@Param("accountId") Long accountId, @Param("localPath") String localPath);

    List<KuaiShouReportDailyMaterialVo> getPhotoList(@Param("accountId") Long accountId, @Param("statDate") String statDate);

    VideoGetvo getVideoGetByPhotoId(@Param("photoId") Long photoId);

    List<KuaiShouReportDailyMaterialVo> getPhotoListByDate(@Param("statDate") String statDate);

    List<KuaiShouVideoGetVo> getVideoList(Map<String, Object> requestMap);

    void batchReplace(@Param("addList") List<KuaiShouReportDailyMaterial> addList);
}
