package com.xxl.job.executor.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;


/**
 * 截屏
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-25
 */
@Data
@TableName("ctop_material_cut_frame")
public class MaterialCutFrame {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 素材库id
     */
    private String videoSignature;
    /**
     * url
     */
    private String url;
    /**
     * md5
     */
    private String signature;
    /**
     * 素材标
     */
    private Integer imageIndex;

    /**
     * createTime
     */
    private Date createTime;
    /**
     * updateTime
     */
    private Date updateTime;
}
