package com.xxl.job.executor.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 截帧 任务表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-06-01
 */
@Data
@TableName("ctop_material_cut_frame_task")
public class MaterialCutFrameTask {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 视频md5
     */
    private String videoSignature;
    /**
     * jobId
     */
    private String jobId;
    /**
     * 任务状态 0 未执行 1 已完成
     */
    private Integer jobStatus;
    /**
     * createTime
     */
    private Date createTime;
    /**
     * updateTime
     */
    private Date updateTime;

    private Integer cloud_type;
}
